> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the model's variables summary list



## OpenAPI

````yaml /api-specs/6.3/dmm.yaml get /model-monitor/v2/api/model/{model_id}/variables/summary
openapi: 3.0.3
info:
  title: Domino Model Monitor API
  description: The API for programmatic access to Domino Model Monitor.
  version: 1.0.1
servers: []
security: []
tags:
  - name: DatasetJob
    description: All Dataset Job related operations.
  - name: DataSource
    description: All data source related operations.
  - name: Model
    description: All Model related operations.
  - name: ModelTag
    description: Operations related to the management of model tags.
  - name: ModelDrift
    description: All Model drift related operations.
  - name: ModelQuality
    description: All Model quality related operations.
  - name: Workbench
    description: All Workbench related operations.
  - name: DefaultSettings
    description: Operations related to drift and model quality defaults setting in DMM.
  - name: UserSettings
    description: Operations related to configuring user related settings for DMM.
  - name: Notification
    description: >-
      Operations related to configuring notification channel config and alert
      recipients for the model.
  - name: Other
    description: Other miscellaneous operations.
  - name: Scheduler
    description: All scheduler related operations
paths:
  /model-monitor/v2/api/model/{model_id}/variables/summary:
    summary: Get the model's variables summary list
    get:
      tags:
        - Model
      summary: Get the model's variables summary list
      operationId: getModelVariablesSummary
      parameters:
        - in: path
          name: model_id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successfully fetched the Model.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/variableSummaryResponseArray'
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '404':
          description: Model not found.
        '405':
          description: Method not allowed.
        '500':
          description: Internal server error, check server logs.
      security:
        - DominoApiKeyAuth: []
        - DmmApiKeyAuth: []
        - cookieAuth: []
components:
  schemas:
    variableSummaryResponseArray:
      type: array
      items:
        $ref: '#/components/schemas/variableSummaryResponse'
    variableSummaryResponse:
      title: Model's Variable Summary
      description: A summary of variables of a model.
      type: object
      required:
        - name
        - valueType
        - variableType
      properties:
        name:
          description: Model's Variable name
          type: string
        valueType:
          $ref: '#/components/schemas/valueType'
        variableType:
          $ref: '#/components/schemas/variableType'
    valueType:
      description: Type of data the variable has.
      type: string
      enum:
        - categorical
        - numerical
        - string
        - datetime
    variableType:
      description: Variable type.
      type: string
      enum:
        - feature
        - prediction
        - row_identifier
        - timestamp
        - ground_truth
        - sample_weight
        - prediction_probability
  securitySchemes:
    DominoApiKeyAuth:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    DmmApiKeyAuth:
      type: apiKey
      in: header
      name: X-DMM-API-KEY
    cookieAuth:
      type: apiKey
      in: cookie
      name: PLAY_SESSION

````